
(function (Drupal, once) {
  Drupal.behaviors.headersearch = {
    attach(context) {
      const elements = once('headersearch', '#header', context);
      elements.forEach(toggleSearch);
    }
  };
  function toggleSearch() {
    const toggleButton = document.getElementById('header__search-button');
    const mobileToggleButton = document.getElementById('header__search-button-mobile');
    const searchDrawer = document.getElementById('header__search-drawer');

    toggleButton.addEventListener('click', () => {
      toggleButton.classList.toggle('icon-x');
      searchDrawer.classList.toggle('js-display-search');
    });
    mobileToggleButton.addEventListener('click', () => {
      mobileToggleButton.classList.toggle('icon-x');
      searchDrawer.classList.toggle('js-display-search');
    });
  }
  Drupal.behaviors.mobileMenuOverride = {
    attach(context) {
      const elements = once('mobileMenuOverride', '#header', context);
      elements.forEach(mobileMenuParentClass);
    }
  };

  function mobileMenuParentClass() {
    const burgerButton = document.getElementById('tbm-button');
    const header = document.getElementById('header');

    burgerButton.addEventListener('click', () => {
      header.classList.toggle('js-mobile-menu-open');
    });
  }

}(Drupal, once));
